summaryrefslogtreecommitdiff
path: root/test/run-with-tmp-session-bus.sh
diff options
context:
space:
mode:
authorChanho Park <chanho61.park@samsung.com>2014-11-28 15:16:46 +0900
committerChanho Park <chanho61.park@samsung.com>2014-11-28 15:16:46 +0900
commit74fd01c9252e24ef192d00efd4cab21b3c64ab18 (patch)
treebc7a6187362c0eabe5993c004fe0dd80e5915ccb /test/run-with-tmp-session-bus.sh
parent84a74d5225e520b3f32ec1d37b7b4a5ed040b66a (diff)
downloaddbus-python-upstream.tar.gz
dbus-python-upstream.tar.bz2
dbus-python-upstream.zip
Imported Upstream version 1.2.0upstream/1.2.0upstream
Diffstat (limited to 'test/run-with-tmp-session-bus.sh')
-rwxr-xr-xtest/run-with-tmp-session-bus.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/test/run-with-tmp-session-bus.sh b/test/run-with-tmp-session-bus.sh
index e767f2d..48f48b0 100755
--- a/test/run-with-tmp-session-bus.sh
+++ b/test/run-with-tmp-session-bus.sh
@@ -47,6 +47,8 @@ trap 'die "Received SIGINT"' SIGINT
CONFIG_FILE="$DBUS_TOP_BUILDDIR"/test/tmp-session-bus.conf
+unset DBUS_STARTER_ADDRESS
+unset DBUS_STARTER_BUS_TYPE
unset DBUS_SESSION_BUS_ADDRESS
unset DBUS_SESSION_BUS_PID
@@ -61,7 +63,19 @@ echo "Started bus pid $DBUS_SESSION_BUS_PID at $DBUS_SESSION_BUS_ADDRESS" >&2
# Execute wrapped script
echo "Running: $WRAPPED_SCRIPT $*" >&2
-"$WRAPPED_SCRIPT" "$@" || die "script \"$WRAPPED_SCRIPT\" failed"
+"$WRAPPED_SCRIPT" "$@"
+e=$?
+
+case "$e" in
+ (77)
+ echo "script \"$WRAPPED_SCRIPT\" skipped" >&2
+ ;;
+ (0)
+ ;;
+ (*)
+ die "script \"$WRAPPED_SCRIPT\" failed"
+ ;;
+esac
kill -TERM "$DBUS_SESSION_BUS_PID" \
|| die "Message bus vanished! should not have happened" \